/{organizationId}/crm/proofs/typesCreate proof type
Required permissions:
proofType.insert
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 40
maxItems: 20
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/proofs/types' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"validity": {
"mode": "oneTime",
"interval": {
"value": 1,
"unit": "hours"
},
"dueBeforeDays": 2,
"overdueBeforeDays": 1
},
"requestMail": {
"subject": "string",
"message": "string"
},
"confirmationMail": {
"subject": "string",
"message": "string"
},
"requiredFields": [
"issuedAt"
],
"contactSegments": [
"string"
]
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}